%define	major 0
%define libname %mklibname redblack %{major}
%define develname %mklibname redblack -d

Summary:	Library for handling red-black tree searching algorithm
Name:		libredblack
Version:	1.3
Release:	%mkrel 8
Group:		System/Libraries
License:	LGPLv2+
URL:		http://libredblack.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		libredblack-typo.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
This implements the redblack balanced tree algorithm.

%package -n	%{libname}
Summary:	Library for handling red-black tree searching algorithm
Group:          System/Libraries

%description -n	%{libname}
This implements the redblack balanced tree algorithm.

%package -n	%{develname}
Summary:	Libraries and header files for the %{libname} library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname redblack 0 -d}

%description -n	%{develname}
To develop programs based upon the libredblack library, the system needs to 
have these header and object files available for creating the executables.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc example*.c example*.rb
%{_bindir}/rbgen
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_datadir}/libredblack


%changelog
* Wed Mar 25 2009 Funda Wang <fundawang@mandriva.org> 1.3-8mdv2009.0
+ Revision: 360977
- fix license

* Fri Jul 11 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3-7mdv2009.0
+ Revision: 233731
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.3-6mdv2008.1
+ Revision: 140928
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3-6mdv2008.0
+ Revision: 94143
- rebuilt due to missing packages

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3-5mdv2008.0
+ Revision: 83667
- fix typo (P0)
- new devel naming


* Fri Nov 17 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3-4mdv2007.0
+ Revision: 85291
- Import libredblack

* Fri Nov 17 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3-4mdv2007.1
- rebuild

* Sat Sep 03 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3-3mdk
- rebuilt due new rpm

* Sat Jun 04 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3-2mdk
- rebuild

* Mon May 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3-1mdk
- 1.3
- merge the static-devel sub package into the devel sub package
- use macros
- the major changed from 1 to 0 (!)

